Difference between revisions of "User:ShadowKyogre"

From ArchWiki
Jump to: navigation, search
Line 19: Line 19:
 
  cd /path/to/deb
 
  cd /path/to/deb
 
  deb2targz debfilename
 
  deb2targz debfilename
 +
 +
5. Write a .PKGINFO based on the info given in step 2. Here is a template:
 +
# Generated by makepkg 3.2.1
 +
# using fakeroot version 1.11.4
 +
# Mon Jan 12 01:31:27 UTC 2009
 +
pkgname = pkgname
 +
pkgver = pkgversion
 +
pkgdesc = what you want to say about pkg
 +
url = where it came from
 +
builddate = Unknown
 +
packager = Unknown Packager
 +
size = size o' package unpackaged in bytes
 +
arch = i686 or x86-64
 +
license = GPL
 +
depend = packages needed by this package

Revision as of 17:55, 18 January 2009

How to install RPMs and DEBs on your Arch install

1. Get either or both of the packages rpmextract and deb2targz.

pacman -S rpmextract
pacman -S deb2targz

2. Download the appropriate rpm/deb for the software you want to install. Be sure to ask around the forums or IRC channels the dependencies of these packages. Check to see if the repos already have these dependencies.

pacman -Ss pkgname

3. Get any needed dependencies that are not in the repositories.

4. Extract the RPM or DEB with the command(s):

  • RPM
cd /path/to/rpm
rpmextract.sh rpmfilename
  • DEB
cd /path/to/deb
deb2targz debfilename

5. Write a .PKGINFO based on the info given in step 2. Here is a template:

# Generated by makepkg 3.2.1
# using fakeroot version 1.11.4
# Mon Jan 12 01:31:27 UTC 2009
pkgname = pkgname
pkgver = pkgversion
pkgdesc = what you want to say about pkg
url = where it came from
builddate = Unknown
packager = Unknown Packager
size = size o' package unpackaged in bytes
arch = i686 or x86-64
license = GPL
depend = packages needed by this package